#pragma once
#include <netinet/in.h>
#include <sys/socket.h>
#include <vector>

namespace Server::ListeningSocket
{
	int Create(sockaddr_in & socketAddress, int const connectionLimit);
}

namespace Server::Socket
{
	std::vector<char> ReadBytes(int fd, size_t limit);

	size_t WriteBytes(int fd, std::vector<char> const & bytes);
}